> For the complete documentation index, see [llms.txt](https://docs.digibee.com/documentation/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.digibee.com/documentation/release-notes/past-releases/release-notes-2022/june.md).

# June

June 2022 updates on any recent changes, feature enhancements, or bug fixes for the Digibee iPaaS.

## Release notes 06-21-2022

#### **COMPONENTS** <a href="#h_4d36fa6400" id="h_4d36fa6400"></a>

* **Blob Storage:** we’ve launched a new component, Blob Storage (Azure). It will allow us to manipulate files in Azure Blob Storage containers, especially when it comes to performing upload and download operations, listing files or deleting them, using Double Braces, etc. Read the [Azure Blob Storage documentation here](broken://pages/vbSSm3kNaRzXIzEQRGoQ).

#### **GROUPS INTEGRATION WITH IDENTITY PROVIDERS** <a href="#h_78968c1e39" id="h_78968c1e39"></a>

We’ve implemented the Digibee Integration Platform's user and group blocking experience.

Now it’s no longer possible to assign users to integrated groups through the Digibee Integration Platform interface. If the access manager tries to make any changes, a warning is displayed on the group and user details page, informing that the integrations have already been made and edits must be made through the identity provider or on the Groups Integration page. Check out the alerts:

![](https://content.gitbook.com/content/E9x0KHkAmxzJGlYPs9aE/blobs/2Ny68Z2tcYz5jgrsB6Sm/img6.png)

![](https://content.gitbook.com/content/E9x0KHkAmxzJGlYPs9aE/blobs/vuMjboy6KaS9iE13H45X/img7.png)

To learn more, read the article [Integration of IdP groups with Digibee groups](broken://pages/bkO8zsmsAj9re8KqDOe3).

We’ve also fixed a few bugs:

* **Create button:** we’ve fixed the behavior that displayed the create button even when the user didn’t have the create permission.
* **Trigger HTTP:** we’ve fixed the bug that made using Response Headers in HTTP trigger settings impossible.

## Release notes 06-07-2022

#### **PROJECTS** <a href="#h_d70cbe922c" id="h_d70cbe922c"></a>

We’ve made an improvement in the navigation of projects in Build. Now, after selecting a project, opening a pipeline contained in it, and returning to list, you’ll be redirected to that pipeline’s project instead of the default project.

#### **GLOBALS** <a href="#h_2129afeb5b" id="h_2129afeb5b"></a>

We've created a feature that allows a user with read-only permission to have access to the details view on the Globals page by clicking the eye icon.

**IMPORTANT:** we’ll add this functionality on other pages of the Platform soon.

![](https://content.gitbook.com/content/E9x0KHkAmxzJGlYPs9aE/blobs/QKNAPV0dbu54JUXetSvk/img3.png)

#### **GROUPS AND ROLES** <a href="#h_d7b5e7e33f" id="h_d7b5e7e33f"></a>

We’ve improved the experience of the page Groups and Roles. Now, by positioning your mouse cursor on top of the description of a group or role, you can read its full description and discern its purpose.

**We've also fixed some bugs:**

* **Relationship:** we’ve fixed the error that prevented the creation of new relationships.
* **Empty lists:** we’ve fixed the error that displayed the create button on empty lists when the user did not have creating permission. The error occurred in the lists of: **Users, Groups, Roles, Settings, Global, API keys, Relationship, Multi-instance, Capsules, and digibeectl.**
* **Group creation:** we’ve fixed the error that prevented users from creating groups.
* **Test-mode:** we've added the ability to accurately display fractional numbers with precision in the pipeline test-mode. Now, instead of rounding fractional numbers, the Platform displays the exact fractions of a number. This also helps in cases of re-running a pipeline.

![](https://content.gitbook.com/content/E9x0KHkAmxzJGlYPs9aE/blobs/Ximu8hOII0T143iFYQd7/img4.png)

![](https://content.gitbook.com/content/E9x0KHkAmxzJGlYPs9aE/blobs/FRJ9IzD0iJNJ6hIxwYzw/img5.png)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.digibee.com/documentation/release-notes/past-releases/release-notes-2022/june.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
